## zp config-0.0.1

=== requirements.txt ===
pyignite==0.5.0
attrs==21.4.0
argparse
tabulate==0.8.0

## zp 1.0

=== debian/changelog ===
zp (1.0-1) unstable; urgency=low

  * Initial release (Closes: #583584).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 28 May 2010 16:28:22 +0300

=== debian/control ===
Source: zp
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/zp.git
Vcs-Git: git://git.debian.org/git/collab-maint/zp.git
Homepage: http://mattmahoney.net/dc

Package: zp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZPAQ open standard maximum compressor (prebuilt levels)
 PAQ family is a series of open source data compression archivers that have
 evolved through collaborative development to top rankings on several
 benchmarks measuring compression ratio although at the expense of
 speed and memory usage.
 .
 This package includes program zp (a ZPAQ archiver), a proposed
 standard format for highly compressed data that allows new
 compression algorithms to be developed without breaking compatibility
 with older programs.
 .
 Note: zp is the "user friendly" version of zpaq(1) archiver. Zp comes
 with 3 prebuilt and optimized compression levels. It does not
 require configuration file for min, med, max compression levels.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= zp
CXX		= g++

# -DOPT Do not use (Upstream's note)
# -DNDEBUG removes run time checks for better speed.

LIBS 	 = -lm
CXXFLAGS += -I. -Wall -pedantic -Dunix -DNDEBUG -fomit-frame-pointer

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_build: man
	$(CXX) $(CXXFLAGS) -o $(PACKAGE) $(PACKAGE).cpp $(LIBS)

%:
	dh  $@

.PHONY: man

# End of file

=== debian/watch ===
version=3
opts="uversionmangle=s/^(.)/$1./" \
 http://mattmahoney.net/dc .*zp(\d+).zip debian debian/repack.sh
